/*
 * Class TYPE [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_324 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_324 [] = {0xFF01,237,323,194,0xFFFF};
static const EIF_TYPE_INDEX egt_2_324 [] = {0xFF01,323,194,0xFFFF};
static const EIF_TYPE_INDEX egt_3_324 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_324 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_324 [] = {0xFF01,323,194,0xFFFF};
static const EIF_TYPE_INDEX egt_6_324 [] = {0xFF01,323,194,0xFFFF};
static const EIF_TYPE_INDEX egt_7_324 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_324 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_324 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_324 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_324 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_324 [] = {323,194,0xFFFF};
static const EIF_TYPE_INDEX egt_13_324 [] = {0xFF01,323,194,0xFFFF};
static const EIF_TYPE_INDEX egt_14_324 [] = {0xFF01,228,0xFFFF};
static const EIF_TYPE_INDEX egt_15_324 [] = {0xFF01,237,0,0xFFFF};
static const EIF_TYPE_INDEX egt_16_324 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_324 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_324 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_324 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_324 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_324 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_22_324 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_23_324 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_24_324 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_25_324 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_26_324 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_27_324 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_324 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_324[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_324), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_324), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8581, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_324), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_324), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_324), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_324), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_324), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_324), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_324), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_324), 8589, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_324), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_324), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_324), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_324), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1451, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1449, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_324), 8573, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_324), 8574, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8575, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8578, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8579, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8580, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_324), 8584, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_324), 8585, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_324), 8586, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_324), 8587, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_324), 8588, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_324), 8591, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8593, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_324), 8594, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_324), 8595, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_324), 8596, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_324), 8597, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01C9 /*228*/), 8598, 0},
	{EIF_GENERIC(egt_26_324), 8599, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_324), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_324), 8590, 0xFFFFFFFF},
};
void Init324(void)
{
	IDSC(desc_324, 0, 323);
	IDSC(desc_324 + 1, 1, 323);
	IDSC(desc_324 + 32, 248, 323);
	IDSC(desc_324 + 34, 203, 323);
	IDSC(desc_324 + 38, 11, 323);
	IDSC(desc_324 + 60, 336, 323);
}


#ifdef __cplusplus
}
#endif
